# RemoveTokenApproval

### Description

Helper action to remove token approval given to a spender

> **Notes**
>
> Remove approval for spender to pull tokens from user wallet

### Action ID

`0x64514212`

### SDK Action

```ts
const removeTokenApprovalAction = new dfs.actions.basic.RemoveTokenApprovalAction(
    token,
    spender
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param tokenAddr Address of the token to remove approval from
    /// @param spender Address of the spender
    struct Params {
        address tokenAddr;
        address spender;
    }
```

### Return Value

```solidity
return bytes32(0);
```

### Events and Logs

```solidity
emit ActionEvent("RemoveTokenApproval", logData);
logger.logActionDirectEvent("RemoveTokenApproval", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/utils/removetokenapproval.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
